> For the complete documentation index, see [llms.txt](https://docs.firework.com/firework-for-developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.firework.com/firework-for-developers/flutter-sdk/integration-guide-v2/customization/circle-story-configurations-flutter.md).

# Circle story configurations (Flutter)

`CircleStory` widget provides `circleStoryConfiguration` property for configuring circle story. The current configurable are `backgroundColor`, playIcon, and enableAutoplay etc. For additional information, please refer to the code snippets below.

```dart
final configuration = CircleStoryConfiguration();

// Configure background color
configuration.backgroundColor = "#ffffff";
// Configure circle story item play icon
configuration.playIcon = VideoFeedPlayIconConfiguration(
  hidden: true,
  iconWidth: 30,
);
// Indicates if the video feed shows ad badge
configuration.showAdBadge = true;
// Configure the item spacing
configuration.itemSpacing = 10;
// Specifies if circle story item autoplay is enabled
configuration.enableAutoplay = true;
// Configure content padding
configuration.contentPadding = VideoFeedPadding(
  top: 10,
  right: 10,
  bottom: 10,
  left: 10,
);
CircleStory(
  source: VideoFeedSource.discover,
  circleStoryConfiguration: configuration,
);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.firework.com/firework-for-developers/flutter-sdk/integration-guide-v2/customization/circle-story-configurations-flutter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
